# model for parameter inference
BD_VS_BDEI = "BD_vs_BDEI"
BD_VS_BDEI_VS_BDSS = "BD_vs_BDEI_vs_BDSS"
PROBABILITY_BDSS = "Probability_BDSS"
PROBABILITY_BD = "Probability_BD"
PROBABILITY_BDEI = "Probability_BDEI"
SS_FRACTION = "Superspreading_individuals_fraction"
X_TRANSMISSION = "X_transmission"
INCUBATION_PERIOD = "Incubation_period"
INFECTIOUS_PERIOD = "Infectious_period"
R = "R_naught"
BD = 'BD'
BDEI = 'BDEI'
BDSS = 'BDSS'

P = "sampling_proba"
TREE_SIZE = 'tree_size'

# encodings
SUMSTATS = 'FFNN_SUMSTATS'
FULL = 'CNN_FULL_TREE'

BD_PARAMETERS = [R, INFECTIOUS_PERIOD]
BDEI_PARAMETERS = [R, INFECTIOUS_PERIOD, INCUBATION_PERIOD]
BDSS_PARAMETERS = [R, INFECTIOUS_PERIOD, X_TRANSMISSION, SS_FRACTION]

# These columns need rescaling
TIME_DEPENDENT_COLUMNS = {INFECTIOUS_PERIOD, INCUBATION_PERIOD}

MODEL2PARAMS = {BD: BD_PARAMETERS, BDEI: BDEI_PARAMETERS, BDSS: BDSS_PARAMETERS}

# This is indeed BDEI first and then BD
BD_VS_BDEI_VS_BDSS_PROBS = [PROBABILITY_BDEI, PROBABILITY_BD, PROBABILITY_BDSS]

BD_VS_BDEI_PROBS = [PROBABILITY_BDEI, PROBABILITY_BD]

MODEL2PROBS = {BD_VS_BDEI_VS_BDSS: BD_VS_BDEI_VS_BDSS_PROBS, BD_VS_BDEI: BD_VS_BDEI_PROBS}